<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('road_clients', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('road_id');
            $table->integer('client_id')->nullable();
            $table->timestamps();
            $table->foreign('road_id')->references('id')->on('roads')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('road_clients');
    }
};
